Summary:	SMTP "plugin" for MUAs
Summary(pl.UTF-8):	"Wtyczka" SMTP dla klientów pocztowych (MUA)
Name:		msmtp
Version:	1.8.27
Release:	1
License:	GPL v3+
Group:		Networking/Utilities
#Source0Download: https://marlam.de/msmtp/download/
Source0:	https://marlam.de/msmtp/releases/%{name}-%{version}.tar.xz
# Source0-md5:	f5ffb1c12cb98dafb5b002eed6944e4a
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-info.patch
Source1:	%{name}rc
URL:		https://marlam.de/msmtp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-tools
# with AI_IDN support (or libidn2-devel)
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	gnutls-devel >= 3.7.2
BuildRequires:	gsasl-devel
BuildRequires:	libsecret-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	gnutls-libs >= 3.7.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msmtp is a simple program that works as an "SMTP plugin" for Mutt and
probably other MUAs (mail user agents). It forwards mails to an SMTP
server (for example at a free mail provider) which does the delivery.
Features include:
- PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 and NTLM authentications
- TLS encrypted connections
- Internationalized Domain Names (IDN) support
- IPv6 support
- robustness
- detailed error messages if something goes wrong (including the full
  answer of the SMTP server)
- sendmail compatible exit codes (which most MUAs understand).

Simply tell your MUA to call msmtp instead of /usr/sbin/sendmail (with
Mutt that's just one additional line in the config file).

%description -l pl.UTF-8
msmtp to prosty program działający jako "wtyczka SMTP" dla Mutta i
innych klientów pocztowych (MUA - mail user agents). Przekierowuje
wiadomości do serwera SMTP (na przykład providera darmowych kont
e-mail), który je dostarcza. Możliwości obejmują:
- uwierzytelnianie PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 i NTLM
- obsługę Internationalized Domain Names (IDN)
- szyfrowane połączenia TLS
- obsługę IPv6
- szczegółowe komunikaty błędów w przypadku niepowodzenia (włącznie z
  pełną odpowiedzią serwera SMTP)
- kody wyjścia kompatybilne z sendmailem (które rozumie większość
  MUA).

Wystarczy przekazać klientowi pocztowemu, aby wywoływał msmtp zamiast
/usr/sbin/sendmail (w Mutcie to po prostu dodatkowa linia w pliku
konfiguracyjnym).

%package sendmail
Summary:	msmtp sendmail compatible wrapper
Summary(pl.UTF-8):	msmtp - dowiązania symboliczne do sendmaila
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description sendmail
msmtp sendmail compatible wrapper.

%description sendmail -l pl.UTF-8
Dowiązania symboliczne msmtp do sendmaila.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--with-libgsasl \
	--with-libidn \
	--with-libsecret \
	--with-tls=gnutls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/usr/lib,%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/msmtprc
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/usr/lib/sendmail
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/sendmail

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/msmtprc-{system,user}.example scripts
%attr(755,root,root) %{_bindir}/msmtp
%attr(755,root,root) %{_bindir}/msmtpd
%{_mandir}/man1/msmtp.1*
%{_mandir}/man1/msmtpd.1*
%{_infodir}/msmtp.info*

%files sendmail
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/msmtprc
%attr(755,root,root) %{_sbindir}/sendmail
/usr/lib/sendmail
%changelog
* Sat Oct 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/msmtp.git;a=log;h=master

* Sat Oct 12 2024 Jan Palus <atler@pld-linux.org> 97b248d
- up to 1.8.27

* Sat Oct 12 2024 Jan Palus <atler@pld-linux.org> 1d6d11c
- versioned runtime gnutls-libs dep

* Sat Oct 12 2024 Jan Palus <atler@pld-linux.org> cd49836
- unbreak short circuit build

* Wed May 01 2024 Jan Palus <atler@pld-linux.org> 75e8ab2
- up to 1.8.26

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> dde642e
- up to 1.8.25

* Thu Jun 29 2023 Jan Palus <atler@pld-linux.org> d3b8831
- up to 1.8.24

* Mon Jan 30 2023 Jan Palus <atler@pld-linux.org> 052b380
- up to 1.8.23

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> 9b1a49e
- Release 2 (by relup.sh)

* Sun Aug 07 2022 Jan Palus <atler@pld-linux.org> a46e3ba
- up to 1.8.22

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 50c3c68
- added info patch (adjust direntry to PLD standard)
- with modern libc separate libidn is not required
- release 2

* Wed Mar 23 2022 Jan Palus <atler@pld-linux.org> 33e1ca9
- up to 1.8.20

* Thu Nov 04 2021 Jan Palus <atler@pld-linux.org> b03838d
- up to 1.8.19

* Fri Oct 22 2021 Jan Palus <atler@pld-linux.org> 2ce8ffe
- up to 1.8.18

* Sun Oct 03 2021 Jan Palus <atler@pld-linux.org> 03a4287
- up to 1.8.17

* Tue Sep 14 2021 Jan Palus <atler@pld-linux.org> 9f31ae1
- up to 1.8.16

* Sun Mar 21 2021 Jan Palus <atler@pld-linux.org> a0dc171
- up to 1.8.15

* Fri Dec 25 2020 Jan Palus <atler@pld-linux.org> 6f5d785
- up to 1.8.14

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 0236b3d
- up to 1.8.13

* Tue Sep 08 2020 Jan Palus <atler@pld-linux.org> 0b0e587
- up to 1.8.12

* Sat Jul 04 2020 Jan Palus <atler@pld-linux.org> 7bd36ae
- up to 1.8.11

